package com.raycloud.tomato.openapi.domain;

import com.alibaba.fastjson.JSON;
import org.apache.commons.lang3.StringUtils;

import java.util.List;

/**
 * @Author: nanCheng
 * @Date: 2020/02/21
 */
public class FormReplies {
    private String lastUpdated;

    private int totalAmount;

    private int score;

    private UserInfo userInfo;

    private boolean isStar;

    private String created;

    private List<Values> values;

    private String _id;

    public void setLastUpdated(String lastUpdated) {
        this.lastUpdated = lastUpdated;
    }

    public String getLastUpdated() {
        return this.lastUpdated;
    }

    public void setTotalAmount(int totalAmount) {
        this.totalAmount = totalAmount;
    }

    public int getTotalAmount() {
        return this.totalAmount;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public int getScore() {
        return this.score;
    }

    public void setUserInfo(UserInfo userInfo) {
        this.userInfo = userInfo;
    }

    public UserInfo getUserInfo() {
        return this.userInfo;
    }

    public void setIsStar(boolean isStar) {
        this.isStar = isStar;
    }

    public boolean getIsStar() {
        return this.isStar;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getCreated() {
        return this.created;
    }

    public void setValues(List<Values> values) {
        this.values = values;
    }

    public List<Values> getValues() {
        return this.values;
    }

    public void set_id(String _id) {
        this._id = _id;
    }

    public String get_id() {
        return this._id;
    }


    public class Values {
        private String definition;

        private String type;

        private String selectedId;

        private List<String> selectedIds;

        private String selectedItem;

        private String selectedCascadeItem;

        private String selectedThirdItem;

        private String selectedFourItem;

        private List<String> selectedItems;

        private String geoAddress;

        private String valueProvinceName;

        private String valueCityName;

        private String valueDistrictName;

        private String valueDetail;

        private String value;

        private String values;

        private String bought;

        private String matrixValues;

        private String remark;

        private boolean isOther;

        public String getValueString() {
            if ("radio".equals(this.type)
                    || "dropdown".equals(this.type)
                    || "imageradio".equals(this.type)) {
                return this.selectedItem;
            } else if ("text".equals(this.type)
                    || "name".equals(this.type)
                    || "telephone".equals(this.type)
                    || "mobile".equals(this.type)
                    || "score".equals(this.type)
                    || "date".equals(this.type)
                    || "time".equals(this.type)
                    || "email".equals(this.type)
                    || "calculate".equals(this.type)) {
                return this.value;
            } else if ("checkbox".equals(this.type)
                    || "imagecheckbox".equals(this.type)) {
                return JSON.toJSONString(this.selectedItems);
            } else if ("radio-matrix".equals(this.type)) {
                return JSON.toJSONString(this.selectedItems);
            } else if ("checkbox-matrix".equals(this.type)) {
                return JSON.toJSONString(this.selectedIds);
            } else if ("geo".equals(this.type)) {
                return this.geoAddress;
            } else if ("imagecommodity".equals(this.type)) {
                return this.bought;
            } else if ("text-matrix".equals(this.type)) {
                return this.matrixValues;
            } else if ("cascadedropdown".equals(this.type)) {
                if (this.selectedItem == null) {
                    return null;
                }
                return this.selectedItem + (StringUtils.isNotBlank(this.selectedCascadeItem) ? "-" + this.selectedCascadeItem : "")
                        + (StringUtils.isNotBlank(this.valueDistrictName) ? "-" + this.valueDistrictName : "")
                        + (StringUtils.isNotBlank(this.selectedFourItem) ? "-" + this.selectedFourItem : "");
            } else if ("address".equals(this.type)) {
                return (StringUtils.isNotBlank(this.valueProvinceName) ? this.valueProvinceName : "")
                        + (StringUtils.isNotBlank(this.valueCityName) ? this.valueCityName : "")
                        + (StringUtils.isNotBlank(this.selectedThirdItem) ? this.selectedThirdItem : "")
                        + (StringUtils.isNotBlank(this.valueDetail) ? this.valueDetail : "");
            } else if ("files".equals(this.type)
                    || "text-multiterm".equals(this.type)) {
                //自行扩展解析
                return this.values;
            }
            return this.value;
        }

        public String getDefinition() {
            return definition;
        }

        public void setDefinition(String definition) {
            this.definition = definition;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getSelectedId() {
            return selectedId;
        }

        public void setSelectedId(String selectedId) {
            this.selectedId = selectedId;
        }

        public List<String> getSelectedIds() {
            return selectedIds;
        }

        public void setSelectedIds(List<String> selectedIds) {
            this.selectedIds = selectedIds;
        }

        public String getSelectedItem() {
            return selectedItem;
        }

        public void setSelectedItem(String selectedItem) {
            this.selectedItem = selectedItem;
        }

        public String getSelectedCascadeItem() {
            return selectedCascadeItem;
        }

        public void setSelectedCascadeItem(String selectedCascadeItem) {
            this.selectedCascadeItem = selectedCascadeItem;
        }

        public String getSelectedThirdItem() {
            return selectedThirdItem;
        }

        public void setSelectedThirdItem(String selectedThirdItem) {
            this.selectedThirdItem = selectedThirdItem;
        }

        public String getSelectedFourItem() {
            return selectedFourItem;
        }

        public void setSelectedFourItem(String selectedFourItem) {
            this.selectedFourItem = selectedFourItem;
        }

        public List<String> getSelectedItems() {
            return selectedItems;
        }

        public void setSelectedItems(List<String> selectedItems) {
            this.selectedItems = selectedItems;
        }

        public String getGeoAddress() {
            return geoAddress;
        }

        public void setGeoAddress(String geoAddress) {
            this.geoAddress = geoAddress;
        }

        public String getValueProvinceName() {
            return valueProvinceName;
        }

        public void setValueProvinceName(String valueProvinceName) {
            this.valueProvinceName = valueProvinceName;
        }

        public String getValueCityName() {
            return valueCityName;
        }

        public void setValueCityName(String valueCityName) {
            this.valueCityName = valueCityName;
        }

        public String getValueDistrictName() {
            return valueDistrictName;
        }

        public void setValueDistrictName(String valueDistrictName) {
            this.valueDistrictName = valueDistrictName;
        }

        public String getValueDetail() {
            return valueDetail;
        }

        public void setValueDetail(String valueDetail) {
            this.valueDetail = valueDetail;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }

        public String getValues() {
            return values;
        }

        public void setValues(String values) {
            this.values = values;
        }

        public String getBought() {
            return bought;
        }

        public void setBought(String bought) {
            this.bought = bought;
        }

        public String getMatrixValues() {
            return matrixValues;
        }

        public void setMatrixValues(String matrixValues) {
            this.matrixValues = matrixValues;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public boolean isOther() {
            return isOther;
        }

        public void setOther(boolean other) {
            isOther = other;
        }
    }

    public class UserInfo {
        private Dingtalk dingtalk;

        public void setDingtalk(Dingtalk dingtalk) {
            this.dingtalk = dingtalk;
        }

        public Dingtalk getDingtalk() {
            return this.dingtalk;
        }

        public class Dingtalk {
            private String nickName;

            private String department;

            public void setNickName(String nickName) {
                this.nickName = nickName;
            }

            public String getNickName() {
                return this.nickName;
            }

            public void setDepartment(String department) {
                this.department = department;
            }

            public String getDepartment() {
                return this.department;
            }
        }
    }

}



